<?php
namespace Teknisa\EST\Modules\Ajuste\Controllers;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Response\Error;

class ItlanctoestProduto extends \Teknisa\EST\Controllers\TeknisaCrud {

	protected $dataSourceName = "itlanctoest_produto";
	protected $parameterBagColumns = ['NRLANCESTQ','CDFILIAL'];
	protected $service;

    public function __construct ($crudService,$parameterBag,$service){
    	parent::__construct($crudService,$parameterBag);
        $this->service = $service;
    }
    
    public function delete(Request $request, Response $response){
		try{
			$row = $request->getRow();
			$this->service->deleteItem($row['CDFILIAL'],$row['NRLANCESTQ'],$row['NRSEQUITEM']);
		}catch(\Exception $e){
			$response->setError(new Error($e->getMessage(), 500));
		}
	}
}